package com.namasoft.common.constants;

import java.math.RoundingMode;
import java.util.Arrays;
import java.util.List;

import static com.namasoft.common.constants.HMSEntities.HMSPharmacyReturn;

public interface CommonConstants
{
	String BULK_OPERATION = "@##blkop&&**";
	String AddLineToGridAfterAutoSave = "addLineToGridAfterAutoSave";
	String AutoSaveAfterInputInFields = "autoSaveAfterInputInFields";
	String AutoSaveBehavior = "autoSaveBehavior";
	String FocusFieldAfterAutoSave = "focusFieldAfterAutoSave";
	RoundingMode DEFAULT_ROUNDING_MODE = RoundingMode.HALF_UP;
	String CapabilityDownloadAttachment = "DownloadAttachment";
	String CapabilityUploadAttachment = "UploadAttachment";
	String CapabilityPreviewAttachment = "PreviewAttachment";
	String CapabilityViewAttachment = "ViewAttachment";
	String JRXML_FILE_EXTENSION = ".jrxml";
	String ZIP_FILE_EXTENSION = ".zip";
	String CODE_AND_SATELITE_SEP = "$#";
	String FindByLoginIdQueryName = "FindByLoginIdQuery";
	String ListAllPickRulesQueryName = "ListAllPickRulesQueryName";
	String FindAddDescByEntityTypeQueryName = "FindAddDescByEntityTypeQuery";
	String ListAllConfigEntriesQueryName = "ListAllConfigEntriesQuery";
	String FindLayoutByPathQueryName = "FindLayoutByPath";
	String Layout_FilePath = "filePath";
	String LIST_FUNC_AVG = "avg";
	String LIST_FUNC_MIN = "min";
	String LIST_FUNC_MAX = "max";
	String LIST_FUNC_SUM = "sum";
	String LIST_FUNC_SEP = ":";
	String FIELD_PARTS_SEP = ":";
	String GENERIC_REF_ALL = "&all";
	String GENERIC_REF_SIMPLE_AND_ALL = "&sall";
	String GENERIC_REF_ALL_DOCS = "&alldocs";
	String GENERIC_REF_ALL_MASTERS = "&allmasters";
	String FIELD_INFO_ALLOWEDVALUES_SEPERATOR = "#,#";
	int UOMConversionScale = 10;
	int PERCENTAGE_SACLE = 2;
	String SEPARATOR = "_#_";
	String ALLOWED_VALUES_PREFIX = "#ALWDVLS#";
	String HOPEFULLY_UNIQUE_FIELD_SEP = "_0_0_";
	String HOPEFULLY_UNIQUE_FIELD_SEP_FOR_SPLIT = HOPEFULLY_UNIQUE_FIELD_SEP;
	String MORE_MENU_SEPERATOR = ":sep:";
	String HEAD_OFFICE = "headoffice";
	String WILD_CARD_REPLICATION_SITE = "*&";
	String ATTACHMENT_MESSAGE = "attachment";
	String BARCODE_URL_PREFIX = "namabarcode://";
	String CONTEXTFIELD_WHOLELINE = "____ALL_LINE___";
	String CONTEXTFIELD_VISIBLE_FIELDS = "_____VISIBLE_FIELDS___";
	String CONTEXTFIELD_FORCE_SINGLE_COLUMN = "_FORCE_SINGLE_COLUMN__";
	String CONTEXTFIELD_WHOLE_ENTITY = "_WHOLE_ENTITY__";
	String ENTITY_CHANGE = "entityChange";
	String CONTEXTFIELD_SELECTEDLINE = "____SELECTED_LINE___";
	String CONTEXTFIELD_SELECTEDLINE_INDEX = "__$ELECTED_LINE___INDEX";
	String BARCODEON = "BARCODEON";
	String APPROVAL_MESSAGE = "approval";
	String moveToNextRow = "__MOVE_TO_NEXT_ROW__";
	String ALWAYS_PRINT_ONE_BARCODE = "alwaysPrint1InBarcode";
	String DIRECT_PRINT = "directPrint";
	String FAILED = "failed";
	String LOCAL_RETRY_QUEUE = "localRetry";
	String DEFAULT_VALUE_TODAY = "$today()";
	String DEFAULT_VALUE_PLUS_PREFIX = "$todayPlus";
	String DEFAULT_VALUE_PLUS_DAYS = "$todayPlusDays(";
	String DEFAULT_VALUE_MINUS_DAYS = "$todayMinusDays(";
	String DEFAULT_VALUE_PLUS_MONTHS = "$todayPlusMonths(";
	String DEFAULT_VALUE_MINUS_MONTHS = "$todayMinusMonths(";
	String DEFAULT_VALUE_PLUS_YEARS = "$todayPlusYears(";
	String DEFAULT_VALUE_MINUS_YEARS = "$todayMinusYears(";
	String DEFAULT_VALUE_PLUS_WEEKS = "$todayPlusWeeks(";
	String DEFAULT_VALUE_MINUS_WEEKS = "$todayMinusWeeks(";
	String DEFAULT_VALUE_MONTH_START = "$monthStart()";
	String DEFAULT_VALUE_PREVIOUS_MONTH_START = "$previousMonthStart()";
	String DEFAULT_VALUE_NEXT_MONTH_START = "$nextMonthStart()";
	String DEFAULT_VALUE_MONTH_END = "$monthEnd()";
	String DEFAULT_VALUE_PREVIOUS_MONTH_END = "$previousMonthEnd()";
	String DEFAULT_VALUE_NEXT_MONTH_END = "$nextMonthEnd()";
	String DEFAULT_VALUE_YEAR_START = "$yearStart()";
	String DEFAULT_VALUE_YEAR_END = "$yearEnd()";
	String DEFAULT_VALUE_PREVIOUS_YEAR_START = "$previousYearStart()";
	String DEFAULT_VALUE_PREVIOUS_YEAR_END = "$previousYearEnd()";
	String DEFAULT_VALUE_NEXT_YEAR_START = "$nextYearStart()";
	String DEFAULT_VALUE_NEXT_YEAR_END = "$nextYearEnd()";
	String DEFAULT_VALUE_QUARTER_START = "$quarterStart()";
	String DEFAULT_VALUE_QUARTER_END = "$quarterEnd()";
	String DEFAULT_VALUE_HALVE_START = "$halveStart()";
	String DEFAULT_VALUE_HALVE_END = "$halveEnd()";
	String DEFAULT_VALUE_THIRD_START = "$thirdStart()";
	String DEFAULT_VALUE_THIRD_END = "$thirdEnd()";
	String DEFAULT_VALUE_NOW = "$now()";
	String DEFAULT_VALUE_CURRENT_VIEW_NAME = "$$$$$current__view_name@@@@";
	String NOTIFICATION_MESSAGE = "notificationMessage";
	List<String> IGNORED_FIELDS = Arrays.asList("allAdditionalFieldsInXMLDf", "createTransactionId", "lastModifyTransactionId", "lastUpdateDate");
	int DEFAULT_LAST_PAGE = 99999999;
	int NAMA_EVENT_BUS_VERSION = 1;
	String APPROVAL_CHANGE = "approvalChange";
	String NOTIFICATION_CHANGE = "notificationChange";
	String REPORT_PARAM_ORIGINAL_PREFIX = "original_";
	String RE_COMMIT = "reCommit";
	String RUN_REPORT_SERVLET = "rpt?";
	int aDATAGRID_PAGE_SIZE = 25;
	byte GUI_MODULE_ID = 19;
	byte POS_MODULE_ID = 127;
	String DEFAULT_VALUES_EXPRESSION_PRFX = "#exp#";
	String CRT_EXP_CURRENT_USER_ID = "$currentuserid";
	String CRT_EXP_CURRENT_EMP_ID = "$currentempid";
	String CONTEXTFIELD_$_THIS = "$this";
	String HIJRI_DATE = "hijriDate";
	String URLS_SEPERATOR = "##11##22##3@@@3##44##55##";
	int RATE_SCALE = 4;
	String ATTACHMENT_FORCEREPL = "forcerepl";
	String ATTACHMENT_FORCEREPLDB = "forcerepldb";
	String ATTACHMENT_FORCEDB = "forcedb";
	String ATTACHMENT_JRXML = JRXML_FILE_EXTENSION;
	String ATTACHMENT_COMPILED = ".compiled";
	String P_HASH_START = "#**#P";
	String BG_IMAGE = "bgImag";
	String LOGIN_LEGAL_ENTITY_LOGO = "leImag";
	String BASE64_PREFIX = "@b64";
	String COPY_GRID_LINE = ".$$copyLine$$";
	String NO_ORDER = "@_NO_ORDER_@";
	String OLD_NO_ORDER = "%NO_ORDER%^^";
	String LIST_PARAMS_SEP = "@A=@X";
	String OPEN_LINK_IN_NEW_WINDOW = "$$%%OpenInNewWindow%^^&#";
	String OPEN_LINK_IN_POPUP = "$$%%OpenInPopup%^^&#";
	String OPEN_LINK_IN_BROWSER_POPUP_WINDOW = "$$%%OpenInBrowserPopupWindow%^^&#";
	String TO_EMAIL = "toEmail";
	String TO_EMP1 = "toEmp1";
	String EMAIL_SUBJECT = "emailSubject";
	String EMAIL_CONTENT = "emailContent";
	String HR_MIGRATION = "hrMigration";
	String[] HMS_INVOICE_TYPES = { HMSEntities.HMSSurgeryInvoice, HMSEntities.HMSAccommodationInvoice, HMSEntities.HMSAttendantInvoice,
			HMSEntities.HMSLabTestInvoice, HMSEntities.HMSPatientCheckInvoice, HMSEntities.HMSPhysicalTherapyInvoice, HMSEntities.HMSRadiologyInvoice,
			HMSEntities.HMSServicesInvoice, HMSEntities.HMSSupervisionInvoice, HMSEntities.HMSPharmacyInvoice, HMSEntities.HMSSuppliesInvoice,
			HMSEntities.HMSBloodBankInvoice, HMSEntities.HMSServiceSupplyInvoice, HMSPharmacyReturn, HMSEntities.HMSBloodBankReturn,
			HMSEntities.HMSSupplyReturn };
	String[] ARABIC_REPLACE___ = { "إ", "ا", "أ", "آ", "ء", "ة", "ه", "ى", "ئ", "ؤ", "و" };
	String[] ARABIC_REPLACE_BY = { "ا", "ا", "ا", "ا", "ا", "ه", "ه", "ي", "ي", "و", "و" };
	String[] ENGLISH_KEYBOARD = { "a", "b", "c", "d", "e", "f", "g", "h", "i", "j", "k", "l", "m", "n", "o", "p", "q", "r", "s", "t", "u", "v", "w",
			"x", "y", "z", "]", "[", "'", ";", "/", ".", ",", "`" };
	String[] ARABIC_KEYBOARD_ = { "ش", "لا", "ؤ", "ي", "ث", "ب", "ل", "ا", "ه", "ت", "ن", "م", "ة", "ى", "خ", "ح", "ض", "ق", "س", "ف", "ع", "ر", "ص",
			"ء", "غ", "ئ", "د", "ج", "ط", "ك", "ظ", "ز", "و", "ذ" };
	String SYSTEM_FORMS_CODE_PREFIX = "SYSF-";
	String MPS_PREFIX = "M_oo_pS@~";
	String MPS_AUTH = "mpsauth";
	String MPS_CHECK = "checkmps";
	String MPS_CHECK_LEVEL = "checkmpslevel";
	String MPS_CHECK_LEVEL_USER_CODE = "checkmpsleveluser";
	String MPS_AUTH_RETRIEVE = "mpscheckauth";
	String FISCAL_PERIOD_TYPE_FIELD = "periodType";
	String FISCAL_PERIOD_TYPE_PURGE = "PurgePeriod";
	String ignoreNotFoundReferencesAndAddThemToMap = "ignoreNotFoundReferencesAndAddThemToMap";
	String notFoundRefsSet = "notFoundRefsSet";
	String URL_TITLE_SEPARATOR = "@!@";
}
