package com.namasoft.common.constants;

import java.util.HashMap;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlRootElement;

import com.namasoft.common.NaMaDTO;

@SuppressWarnings("serial")
@XmlRootElement
@XmlAccessorType(XmlAccessType.PROPERTY)
public class DBTranslationResp extends NaMaDTO
{
	private HashMap<String, String> arabic;
	private HashMap<String, String> english;
	private HashMap<String, String> replacements;
	private Long order;

	public DBTranslationResp(HashMap<String, String> arabic, HashMap<String, String> english, HashMap<String, String> replacements, Long order)
	{
		this.arabic = arabic;
		this.english = english;
		this.replacements = replacements;
		this.order = order;
	}

	public DBTranslationResp()
	{
	}

	public HashMap<String, String> getArabic()
	{
		return arabic;
	}

	public void setArabic(HashMap<String, String> arabic)
	{
		this.arabic = arabic;
	}

	public HashMap<String, String> getEnglish()
	{
		return english;
	}

	public void setEnglish(HashMap<String, String> english)
	{
		this.english = english;
	}

	public HashMap<String, String> getReplacements()
	{
		return replacements;
	}

	public void setReplacements(HashMap<String, String> replacements)
	{
		this.replacements = replacements;
	}

	public Long getOrder()
	{
		return order;
	}

	public void setOrder(Long order)
	{
		this.order = order;
	}

}
